Subject: bug#20973: Package: adns

From: Patrik Ragnarsson <[email-masked]>
Date: Fri, 3 Jul 2015 22:22:33 +0200

Oh, sorry...

Also, I think my bug is invalid. The query works fine when using
adnshost with this flag:

-Qq --qc-query            Let query domains contain quote-requiring chars

Sorry again for the trouble.

On 3 July 2015 at 19:17, Glenn Morris <[email-masked]> wrote:
>
> Because you put the "Package: adns" statement in the subject rather than
> the first line of the body, your bug report was assigned to the wrong
> package and went to the wrong mailing list. I have reassigned it to
> adns, so it should go to the right mailing list. I have a vague memory
> that one needs to be subscribed to that list, which I'm not. So my mail
> might not appear there.
>
>
> Patrik Ragnarsson wrote:
>
>> Looks like adns does not recognize certain hostnames as valid. Example:
>>
>> Works with dig:
>>
>>> $ dig +short -t txt mx._domainkey.twingly.com
>>> "k=rsa\;
>>> p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDauFgv2L1AS+ZvdeHC4NaItVgJ4JEc9UFlGKFKBl3wxIk5THKEa2T3WlQM6lJFMK0pqS5Cs63lELqZzJTGmgUEmpY17/HHFzEPM3682Wc2mzfZsYlsWTXbk77rHKt7Ndox/X
>>> 2Vq8EYv4r432glm4laaXcTv4P3XFcZv/OwDVCFDQIDAQAB"
>>
>> Does not with adns:
>>
>>> $ adnshost -t txt mx._domainkey.twingly.com
>>> Error during DNS TXT lookup for mx._domainkey.twingly.com: Domain
>>> name is syntactically invalid
>>
>> Same type of query, but another hostname, works:
>>
>>> $ adnshost -t txt twingly.com
>>> twingly.com TXT "v=spf1 ip4:80.252.185.200 ip4:80.252.171.64/27
>>> include:_spf.google.com include:mailgun.org
>>> include:spf.mandrillapp.com include:in.deliverhq.com ~all"
>>> twingly.com TXT
>>> "google-site-verification=eKph1PVX-uNAeg6W_Qj_zM75HXz-fV9T-09yuTp7Nqw"
>>
>> Using:
>>
>>> $ adnshost --version
>>> adnshost (GNU adns) 1.5.0
>>>
>>> Copyright (C) 1997-2000,2003,2006,2014  Ian Jackson
>>> Copyright (C) 2014  Mark Wooding
>>> Copyright (C) 1999-2000,2003,2006  Tony Finch
>>> Copyright (C) 1991 Massachusetts Institute of Technology
>>> This is free software; see the source for copying conditions.  There is NO
>>> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
>>
>>> $ dig -v
>>> DiG 9.9.5